Bug 906915 - custom partitioning UI does not display the size of or available space inside containers
custom partitioning UI does not display the size of or available space inside...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 17:00 EST by Adam Williamson
Modified: 2014-09-04 13:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-04 13:24:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-02-01 17:00:46 EST
The custom partitioning interface in newUI offers various capabilities for doing stuff inside storage containers (at present, btrfs and LVM) - you can remove volumes from them, add new volumes to them, resize volumes within them, etc. We can do this both to existing volumes and to newly-created ones.

However, the UI does not at any point let the user know either how big each container is or how much free space is available within each container. This is obviously information that is useful to a user who is performing operations within a container. This information should be made available somehow.

I did a mockup which presented the information in colored boxes at the bottom of the screen, like 'Available Space' - https://bugzilla.redhat.com/attachment.cgi?id=686506 - but Mo has reservations about that idea particularly in the case of multiple containers. I'm happy to let Mo or another designer tackle this, I'm not advocating any specific approach, just saying we should provide the info somehow.
Comment 1 Máirín Duffy 2013-02-12 15:30:29 EST
Stephanie and I reviewed this bug today - the ideas we came up with here are:

1) add the free disk space left in the 'containers' dropdown, next to each container's name
2) if GTK will let us, make a little graph to show how much space is left in the containers in the dropdown 

This will complement the thin provisioning support mockups that additionally list out the type of container in the dropdown (and change the dropdown label to 'Container:', see http://linuxgrrl.com/fedora-ux/Projects/Anaconda/Sketches/Thinp/00-thinp-lvm-dropdown.png

We talked about the 'add new mountpoint' dialog and whether or not this should be affected. After discussing it with dlehman, we found out that the add new mountpoint dialog has logic that automatically adds volumes (when the default format is a container-based format) to the container with the most amount of space available. Since the dialog already maximizes the amount of space available to the new volume, and the user has to ability to switch to a different container if they choose (using the dropdown with the added free space label as described above) then there is no need to modify the add new mountpoint dialog.

Stephanie is working on mockups for this now.
Comment 2 Fedora End Of Life 2013-04-03 09:41:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Chris Lumens 2013-12-09 13:08:41 EST
Fixed with a patch for bug 1035832 (which is asking for the same thing).

Note You need to log in before you can comment on or make changes to this bug.